﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Infragistics.XamarinForms.Controls.Charts;

namespace SampleApp
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        ViewModel vm = new ViewModel();
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = vm;
            this.catChart.ToolTipType = ToolTipType.Category;
        }

        private void catChart_SeriesAdded(object sender, Infragistics.XamarinForms.Controls.Charts.ChartSeriesEventArgs args)
        {
            ColumnSeries series = args.Series as ColumnSeries;
            if (series != null)
            {
                switch (series.ValueMemberPath)
                {
                    case "Value1":
                        {
                            series.ToolTipTemplate = catChart.Resources["highDT"] as DataTemplate;
                            break;
                        }
                    case "Value2":
                        {
                            series.ToolTipTemplate = catChart.Resources["lowDT"] as DataTemplate;
                            break;
                        }
                }
            }
        }
    }
}
